services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  WebitDe\DrbeckmannWebsitesettings\:
    resource: '../Classes/*'

  extbaseSettings.DrbeckmannWebsitesettings.Service:
    class: 'array'
    factory:
      - '@TYPO3\CMS\Extbase\Configuration\ConfigurationManager'
      - 'getConfiguration'
    arguments:
      $configurationType: 'Settings'
      $extensionName: 'DrbeckmannWebsitesettings'
      $pluginName: 'Service'

  WebitDe\DrbeckmannWebsitesettings\Service\WebsiteSettingsService:
    public: true
    arguments:
      $settings: '@extbaseSettings.DrbeckmannWebsitesettings.Service'
